#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPseudoElement = 1138,
  CSSRule = 1155,
  CSSRuleList = 1163,
  CSSStyleDeclaration = 1175,
  CSSStyleRule = 1195,
  CSSStyleSheet = 1208,
  CSSSupportsRule = 1222,
  CSSTransition = 1238,
  Cache = 1252,
  CacheStorage = 1258,
  CallbackDebuggerNotification = 1271,
  CanonicalBrowsingContext = 1300,
  CanvasCaptureMediaStream = 1325,
  CanvasGradient = 1350,
  CanvasPattern = 1365,
  CanvasRenderingContext2D = 1379,
  CaretPosition = 1404,
  CaretStateChangedEvent = 1418,
  ChannelMergerNode = 1441,
  ChannelSplitterNode = 1459,
  ChannelWrapper = 1479,
  CharacterData = 1494,
  CheckerboardReportService = 1508,
  ChildProcessMessageManager = 1534,
  ChildSHistory = 1561,
  ChromeMessageBroadcaster = 1575,
  ChromeMessageSender = 1600,
  ChromeNodeList = 1620,
  ChromeUtils = 1635,
  ChromeWorker = 1647,
  Client = 1660,
  Clients = 1667,
  Clipboard = 1675,
  ClipboardEvent = 1685,
  ClipboardItem = 1700,
  ClonedErrorHolder = 1714,
  CloseEvent = 1732,
  CommandEvent = 1743,
  Comment = 1756,
  CompositionEvent = 1764,
  ConsoleInstance = 1781,
  ConstantSourceNode = 1797,
  ContentFrameMessageManager = 1816,
  ContentProcessMessageManager = 1843,
  ContentVisibilityAutoStateChangeEvent = 1872,
  ConvolverNode = 1910,
  CountQueuingStrategy = 1924,
  CreateOfferRequest = 1945,
  Credential = 1964,
  CredentialsContainer = 1975,
  Crypto = 1996,
  CryptoKey = 2003,
  CustomElementRegistry = 2013,
  CustomEvent = 2035,
  DOMException = 2047,
  DOMImplementation = 2060,
  DOMLocalization = 2078,
  DOMMatrix = 2094,
  DOMMatrixReadOnly = 2104,
  DOMParser = 2122,
  DOMPoint = 2132,
  DOMPointReadOnly = 2141,
  DOMQuad = 2158,
  DOMRect = 2166,
  DOMRectList = 2174,
  DOMRectReadOnly = 2186,
  DOMRequest = 2202,
  DOMStringList = 2213,
  DOMStringMap = 2227,
  DOMTokenList = 2240,
  DataTransfer = 2253,
  DataTransferItem = 2266,
  DataTransferItemList = 2283,
  DebuggerNotification = 2304,
  DebuggerNotificationObserver = 2325,
  DedicatedWorkerGlobalScope = 2354,
  DelayNode = 2381,
  DeprecationReportBody = 2391,
  DeviceAcceleration = 2413,
  DeviceLightEvent = 2432,
  DeviceMotionEvent = 2449,
  DeviceOrientationEvent = 2467,
  DeviceRotationRate = 2490,
  Directory = 2509,
  Document = 2519,
  DocumentFragment = 2528,
  DocumentL10n = 2545,
  DocumentTimeline = 2558,
  DocumentType = 2575,
  DominatorTree = 2588,
  DragEvent = 2602,
  DynamicsCompressorNode = 2612,
  EXT_blend_minmax = 2635,
  EXT_color_buffer_float = 2652,
  EXT_color_buffer_half_float = 2675,
  EXT_disjoint_timer_query = 2703,
  EXT_float_blend = 2728,
  EXT_frag_depth = 2744,
  EXT_sRGB = 2759,
  EXT_shader_texture_lod = 2768,
  EXT_texture_compression_bptc = 2791,
  EXT_texture_compression_rgtc = 2820,
  EXT_texture_filter_anisotropic = 2849,
  EXT_texture_norm16 = 2880,
  Element = 2899,
  ElementInternals = 2907,
  ErrorEvent = 2924,
  Event = 2935,
  EventCallbackDebuggerNotification = 2941,
  EventCounts = 2975,
  EventSource = 2987,
  EventTarget = 2999,
  Exception = 3011,
  ExtendableEvent = 3021,
  ExtendableMessageEvent = 3037,
  ExtensionAlarms = 3060,
  ExtensionBrowser = 3076,
  ExtensionEventManager = 3093,
  ExtensionMockAPI = 3115,
  ExtensionPort = 3132,
  ExtensionRuntime = 3146,
  ExtensionScripting = 3163,
  ExtensionTest = 3182,
  External = 3196,
  FeaturePolicy = 3205,
  FeaturePolicyViolationReportBody = 3219,
  FetchEvent = 3252,
  FetchObserver = 3263,
  File = 3277,
  FileList = 3282,
  FileReader = 3291,
  FileReaderSync = 3302,
  FileSystem = 3317,
  FileSystemDirectoryEntry = 3328,
  FileSystemDirectoryHandle = 3353,
  FileSystemDirectoryHandle_AsyncIterator = 3379,
  FileSystemDirectoryIterator = 3419,
  FileSystemDirectoryReader = 3447,
  FileSystemEntry = 3473,
  FileSystemFileEntry = 3489,
  FileSystemFileHandle = 3509,
  FileSystemHandle = 3530,
  FileSystemSyncAccessHandle = 3547,
  FileSystemWritableFileStream = 3574,
  Flex = 3603,
  FlexItemValues = 3608,
  FlexLineValues = 3623,
  FluentBundle = 3638,
  FluentBundleAsyncIterator = 3651,
  FluentBundleIterator = 3677,
  FluentPattern = 3698,
  FluentResource = 3712,
  FocusEvent = 3727,
  FontFace = 3738,
  FontFaceSet = 3747,
  FontFaceSetIterator = 3759,
  FontFaceSetLoadEvent = 3779,
  FormData = 3800,
  FormData_Iterator = 3809,
  FormDataEvent = 3827,
  FrameCrashedEvent = 3841,
  FrameLoader = 3859,
  GPU = 3871,
  GPUAdapter = 3875,
  GPUBindGroup = 3886,
  GPUBindGroupLayout = 3899,
  GPUBuffer = 3918,
  GPUBufferUsage = 3928,
  GPUCanvasContext = 3943,
  GPUColorWrite = 3960,
  GPUCommandBuffer = 3974,
  GPUCommandEncoder = 3991,
  GPUCompilationInfo = 4009,
  GPUCompilationMessage = 4028,
  GPUComputePassEncoder = 4050,
  GPUComputePipeline = 4072,
  GPUDevice = 4091,
  GPUDeviceLostInfo = 4101,
  GPUMapMode = 4119,
  GPUOutOfMemoryError = 4130,
  GPUPipelineLayout = 4150,
  GPUQuerySet = 4168,
  GPUQueue = 4180,
  GPURenderBundle = 4189,
  GPURenderBundleEncoder = 4205,
  GPURenderPassEncoder = 4228,
  GPURenderPipeline = 4249,
  GPUSampler = 4267,
  GPUShaderModule = 4278,
  GPUShaderStage = 4294,
  GPUSupportedFeatures = 4309,
  GPUSupportedLimits = 4330,
  GPUTexture = 4349,
  GPUTextureUsage = 4360,
  GPUTextureView = 4376,
  GPUUncapturedErrorEvent = 4391,
  GPUValidationError = 4415,
  GainNode = 4434,
  Gamepad = 4443,
  GamepadAxisMoveEvent = 4451,
  GamepadButton = 4472,
  GamepadButtonEvent = 4486,
  GamepadEvent = 4505,
  GamepadHapticActuator = 4518,
  GamepadLightIndicator = 4540,
  GamepadPose = 4562,
  GamepadServiceTest = 4574,
  GamepadTouch = 4593,
  Geolocation = 4606,
  GeolocationCoordinates = 4618,
  GeolocationPosition = 4641,
  GeolocationPositionError = 4661,
  GetUserMediaRequest = 4686,
  GleanCategory = 4706,
  GleanImpl = 4720,
  GleanLabeled = 4730,
  GleanPingsImpl = 4743,
  Grid = 4758,
  GridArea = 4763,
  GridDimension = 4772,
  GridLine = 4786,
  GridLines = 4795,
  GridTrack = 4805,
  GridTracks = 4815,
  HTMLAllCollection = 4826,
  HTMLAnchorElement = 4844,
  HTMLAreaElement = 4862,
  HTMLAudioElement = 4878,
  HTMLBRElement = 4895,
  HTMLBaseElement = 4909,
  HTMLBodyElement = 4925,
  HTMLButtonElement = 4941,
  HTMLCanvasElement = 4959,
  HTMLCollection = 4977,
  HTMLDListElement = 4992,
  HTMLDataElement = 5009,
  HTMLDataListElement = 5025,
  HTMLDetailsElement = 5045,
  HTMLDialogElement = 5064,
  HTMLDirectoryElement = 5082,
  HTMLDivElement = 5103,
  HTMLDocument = 5118,
  HTMLElement = 5131,
  HTMLEmbedElement = 5143,
  HTMLFieldSetElement = 5160,
  HTMLFontElement = 5180,
  HTMLFormControlsCollection = 5196,
  HTMLFormElement = 5223,
  HTMLFrameElement = 5239,
  HTMLFrameSetElement = 5256,
  HTMLHRElement = 5276,
  HTMLHeadElement = 5290,
  HTMLHeadingElement = 5306,
  HTMLHtmlElement = 5325,
  HTMLIFrameElement = 5341,
  HTMLImageElement = 5359,
  HTMLInputElement = 5376,
  HTMLLIElement = 5393,
  HTMLLabelElement = 5407,
  HTMLLegendElement = 5424,
  HTMLLinkElement = 5442,
  HTMLMapElement = 5458,
  HTMLMarqueeElement = 5473,
  HTMLMediaElement = 5492,
  HTMLMenuElement = 5509,
  HTMLMetaElement = 5525,
  HTMLMeterElement = 5541,
  HTMLModElement = 5558,
  HTMLOListElement = 5573,
  HTMLObjectElement = 5590,
  HTMLOptGroupElement = 5608,
  HTMLOptionElement = 5628,
  HTMLOptionsCollection = 5646,
  HTMLOutputElement = 5668,
  HTMLParagraphElement = 5686,
  HTMLParamElement = 5707,
  HTMLPictureElement = 5724,
  HTMLPreElement = 5743,
  HTMLProgressElement = 5758,
  HTMLQuoteElement = 5778,
  HTMLScriptElement = 5795,
  HTMLSelectElement = 5813,
  HTMLSlotElement = 5831,
  HTMLSourceElement = 5847,
  HTMLSpanElement = 5865,
  HTMLStyleElement = 5881,
  HTMLTableCaptionElement = 5898,
  HTMLTableCellElement = 5922,
  HTMLTableColElement = 5943,
  HTMLTableElement = 5963,
  HTMLTableRowElement = 5980,
  HTMLTableSectionElement = 6000,
  HTMLTemplateElement = 6024,
  HTMLTextAreaElement = 6044,
  HTMLTimeElement = 6064,
  HTMLTitleElement = 6080,
  HTMLTrackElement = 6097,
  HTMLUListElement = 6114,
  HTMLUnknownElement = 6131,
  HTMLVideoElement = 6150,
  HashChangeEvent = 6167,
  Headers = 6183,
  Headers_Iterator = 6191,
  HeapSnapshot = 6208,
  History = 6221,
  IDBCursor = 6229,
  IDBCursorWithValue = 6239,
  IDBDatabase = 6258,
  IDBFactory = 6270,
  IDBFileHandle = 6281,
  IDBFileRequest = 6295,
  IDBIndex = 6310,
  IDBKeyRange = 6319,
  IDBLocaleAwareKeyRange = 6331,
  IDBMutableFile = 6354,
  IDBObjectStore = 6369,
  IDBOpenDBRequest = 6384,
  IDBRequest = 6401,
  IDBTransaction = 6412,
  IDBVersionChangeEvent = 6427,
  IIRFilterNode = 6449,
  IOUtils = 6463,
  IdentityCredential = 6471,
  IdleDeadline = 6490,
  Image = 6503,
  ImageBitmap = 6509,
  ImageBitmapRenderingContext = 6521,
  ImageCapture = 6549,
  ImageCaptureError = 6562,
  ImageCaptureErrorEvent = 6580,
  ImageData = 6603,
  ImageDocument = 6613,
  InputEvent = 6627,
  InspectorFontFace = 6638,
  InspectorUtils = 6656,
  InstallTriggerImpl = 6671,
  IntersectionObserver = 6690,
  IntersectionObserverEntry = 6711,
  IntlUtils = 6737,
  JSProcessActorChild = 6747,
  JSProcessActorParent = 6767,
  JSWindowActorChild = 6788,
  JSWindowActorParent = 6807,
  KeyEvent = 6827,
  KeyboardEvent = 6836,
  KeyframeEffect = 6850,
  L10nFileSource = 6865,
  L10nOverlays = 6880,
  L10nRegistry = 6893,
  LegacyMozTCPSocket = 6906,
  Localization = 6925,
  Location = 6938,
  Lock = 6947,
  LockManager = 6952,
  MIDIAccess = 6964,
  MIDIConnectionEvent = 6975,
  MIDIInput = 6995,
  MIDIInputMap = 7005,
  MIDIMessageEvent = 7018,
  MIDIOutput = 7035,
  MIDIOutputMap = 7046,
  MIDIPort = 7060,
  MOZ_debug = 7069,
  MatchGlob = 7079,
  MatchPattern = 7089,
  MatchPatternSet = 7102,
  MathMLElement = 7118,
  MediaCapabilities = 7132,
  MediaCapabilitiesInfo = 7150,
  MediaControlService = 7172,
  MediaController = 7192,
  MediaDeviceInfo = 7208,
  MediaDevices = 7224,
  MediaElementAudioSourceNode = 7237,
  MediaEncryptedEvent = 7265,
  MediaError = 7285,
  MediaKeyError = 7296,
  MediaKeyMessageEvent = 7310,
  MediaKeySession = 7331,
  MediaKeyStatusMap = 7347,
  MediaKeyStatusMap_Iterator = 7365,
  MediaKeySystemAccess = 7392,
  MediaKeys = 7413,
  MediaList = 7423,
  MediaMetadata = 7433,
  MediaQueryList = 7447,
  MediaQueryListEvent = 7462,
  MediaRecorder = 7482,
  MediaRecorderErrorEvent = 7496,
  MediaSession = 7520,
  MediaSource = 7533,
  MediaStream = 7545,
  MediaStreamAudioDestinationNode = 7557,
  MediaStreamAudioSourceNode = 7589,
  MediaStreamError = 7616,
  MediaStreamEvent = 7633,
  MediaStreamTrack = 7650,
  MediaStreamTrackAudioSourceNode = 7667,
  MediaStreamTrackEvent = 7699,
  MerchantValidationEvent = 7721,
  MessageBroadcaster = 7745,
  MessageChannel = 7764,
  MessageEvent = 7779,
  MessageListenerManager = 7792,
  MessagePort = 7815,
  MessageSender = 7827,
  MimeType = 7841,
  MimeTypeArray = 7850,
  MouseEvent = 7864,
  MouseScrollEvent = 7875,
  MozCanvasPrintState = 7892,
  MozDocumentMatcher = 7912,
  MozDocumentObserver = 7931,
  MozQueryInterface = 7951,
  MozSharedMap = 7969,
  MozSharedMap_Iterator = 7982,
  MozSharedMapChangeEvent = 8004,
  MozStorageAsyncStatementParams = 8028,
  MozStorageStatementParams = 8059,
  MozStorageStatementRow = 8085,
  MozWritableSharedMap = 8108,
  MutationEvent = 8129,
  MutationObserver = 8143,
  MutationRecord = 8160,
  NamedNodeMap = 8175,
  NavigationPreloadManager = 8188,
  Navigator = 8213,
  NetworkInformation = 8223,
  Node = 8242,
  NodeFilter = 8247,
  NodeIterator = 8258,
  NodeList = 8271,
  Notification = 8280,
  NotificationEvent = 8293,
  NotifyPaintEvent = 8311,
  OES_draw_buffers_indexed = 8328,
  OES_element_index_uint = 8353,
  OES_fbo_render_mipmap = 8376,
  OES_standard_derivatives = 8398,
  OES_texture_float = 8423,
  OES_texture_float_linear = 8441,
  OES_texture_half_float = 8466,
  OES_texture_half_float_linear = 8489,
  OES_vertex_array_object = 8519,
  OVR_multiview2 = 8543,
  OfflineAudioCompletionEvent = 8558,
  OfflineAudioContext = 8586,
  OfflineResourceList = 8606,
  OffscreenCanvas = 8626,
  OffscreenCanvasRenderingContext2D = 8642,
  Option = 8676,
  OscillatorNode = 8683,
  PageTransitionEvent = 8698,
  PaintRequest = 8718,
  PaintRequestList = 8731,
  PaintWorkletGlobalScope = 8748,
  PannerNode = 8772,
  ParentProcessMessageManager = 8783,
  Path2D = 8811,
  PathUtils = 8818,
  PaymentAddress = 8828,
  PaymentMethodChangeEvent = 8843,
  PaymentRequest = 8868,
  PaymentRequestUpdateEvent = 8883,
  PaymentResponse = 8909,
  PeerConnectionImpl = 8925,
  PeerConnectionObserver = 8944,
  Performance = 8967,
  PerformanceEntry = 8979,
  PerformanceEntryEvent = 8996,
  PerformanceEventTiming = 9018,
  PerformanceMark = 9041,
  PerformanceMeasure = 9057,
  PerformanceNavigation = 9076,
  PerformanceNavigationTiming = 9098,
  PerformanceObserver = 9126,
  PerformanceObserverEntryList = 9146,
  PerformancePaintTiming = 9175,
  PerformanceResourceTiming = 9198,
  PerformanceServerTiming = 9224,
  PerformanceTiming = 9248,
  PeriodicWave = 9266,
  PermissionStatus = 9279,
  Permissions = 9296,
  PlacesBookmark = 9308,
  PlacesBookmarkAddition = 9323,
  PlacesBookmarkChanged = 9346,
  PlacesBookmarkGuid = 9368,
  PlacesBookmarkMoved = 9387,
  PlacesBookmarkRemoved = 9407,
  PlacesBookmarkTags = 9429,
  PlacesBookmarkTime = 9448,
  PlacesBookmarkTitle = 9467,
  PlacesBookmarkUrl = 9487,
  PlacesEvent = 9505,
  PlacesFavicon = 9517,
  PlacesHistoryCleared = 9531,
  PlacesObservers = 9552,
  PlacesPurgeCaches = 9568,
  PlacesRanking = 9586,
  PlacesVisit = 9600,
  PlacesVisitRemoved = 9612,
  PlacesVisitTitle = 9631,
  PlacesWeakCallbackWrapper = 9648,
  Plugin = 9674,
  PluginArray = 9681,
  PluginCrashedEvent = 9693,
  PointerEvent = 9712,
  PopStateEvent = 9725,
  PopupBlockedEvent = 9739,
  PopupPositionedEvent = 9757,
  PositionStateEvent = 9778,
  PrecompiledScript = 9797,
  PrioEncoder = 9815,
  ProcessMessageManager = 9827,
  ProcessingInstruction = 9849,
  ProgressEvent = 9871,
  PromiseDebugging = 9885,
  PromiseNativeHandler = 9902,
  PromiseRejectionEvent = 9923,
  PublicKeyCredential = 9945,
  PushEvent = 9965,
  PushManager = 9975,
  PushManagerImpl = 9987,
  PushMessageData = 10003,
  PushSubscription = 10019,
  PushSubscriptionOptions = 10036,
  RTCCertificate = 10060,
  RTCDTMFSender = 10075,
  RTCDTMFToneChangeEvent = 10089,
  RTCDataChannel = 10112,
  RTCDataChannelEvent = 10127,
  RTCDtlsTransport = 10147,
  RTCIceCandidate = 10164,
  RTCIdentityProviderRegistrar = 10180,
  RTCPeerConnection = 10209,
  RTCPeerConnectionIceEvent = 10227,
  RTCPeerConnectionStatic = 10253,
  RTCRtpReceiver = 10277,
  RTCRtpSender = 10292,
  RTCRtpTransceiver = 10305,
  RTCSessionDescription = 10323,
  RTCStatsReport = 10345,
  RTCTrackEvent = 10360,
  RadioNodeList = 10374,
  Range = 10388,
  ReadableByteStreamController = 10394,
  ReadableStream = 10423,
  ReadableStream_AsyncIterator = 10438,
  ReadableStreamBYOBReader = 10467,
  ReadableStreamBYOBRequest = 10492,
  ReadableStreamDefaultController = 10518,
  ReadableStreamDefaultReader = 10550,
  Report = 10578,
  ReportBody = 10585,
  ReportingObserver = 10596,
  Request = 10614,
  ResizeObserver = 10622,
  ResizeObserverEntry = 10637,
  ResizeObserverSize = 10657,
  Response = 10676,
  SVGAElement = 10685,
  SVGAngle = 10697,
  SVGAnimateElement = 10706,
  SVGAnimateMotionElement = 10724,
  SVGAnimateTransformElement = 10748,
  SVGAnimatedAngle = 10775,
  SVGAnimatedBoolean = 10792,
  SVGAnimatedEnumeration = 10811,
  SVGAnimatedInteger = 10834,
  SVGAnimatedLength = 10853,
  SVGAnimatedLengthList = 10871,
  SVGAnimatedNumber = 10893,
  SVGAnimatedNumberList = 10911,
  SVGAnimatedPreserveAspectRatio = 10933,
  SVGAnimatedRect = 10964,
  SVGAnimatedString = 10980,
  SVGAnimatedTransformList = 10998,
  SVGAnimationElement = 11023,
  SVGCircleElement = 11043,
  SVGClipPathElement = 11060,
  SVGComponentTransferFunctionElement = 11079,
  SVGDefsElement = 11115,
  SVGDescElement = 11130,
  SVGElement = 11145,
  SVGEllipseElement = 11156,
  SVGFEBlendElement = 11174,
  SVGFEColorMatrixElement = 11192,
  SVGFEComponentTransferElement = 11216,
  SVGFECompositeElement = 11246,
  SVGFEConvolveMatrixElement = 11268,
  SVGFEDiffuseLightingElement = 11295,
  SVGFEDisplacementMapElement = 11323,
  SVGFEDistantLightElement = 11351,
  SVGFEDropShadowElement = 11376,
  SVGFEFloodElement = 11399,
  SVGFEFuncAElement = 11417,
  SVGFEFuncBElement = 11435,
  SVGFEFuncGElement = 11453,
  SVGFEFuncRElement = 11471,
  SVGFEGaussianBlurElement = 11489,
  SVGFEImageElement = 11514,
  SVGFEMergeElement = 11532,
  SVGFEMergeNodeElement = 11550,
  SVGFEMorphologyElement = 11572,
  SVGFEOffsetElement = 11595,
  SVGFEPointLightElement = 11614,
  SVGFESpecularLightingElement = 11637,
  SVGFESpotLightElement = 11666,
  SVGFETileElement = 11688,
  SVGFETurbulenceElement = 11705,
  SVGFilterElement = 11728,
  SVGForeignObjectElement = 11745,
  SVGGElement = 11769,
  SVGGeometryElement = 11781,
  SVGGradientElement = 11800,
  SVGGraphicsElement = 11819,
  SVGImageElement = 11838,
  SVGLength = 11854,
  SVGLengthList = 11864,
  SVGLineElement = 11878,
  SVGLinearGradientElement = 11893,
  SVGMPathElement = 11918,
  SVGMarkerElement = 11934,
  SVGMaskElement = 11951,
  SVGMatrix = 11966,
  SVGMetadataElement = 11976,
  SVGNumber = 11995,
  SVGNumberList = 12005,
  SVGPathElement = 12019,
  SVGPathSeg = 12034,
  SVGPathSegArcAbs = 12045,
  SVGPathSegArcRel = 12062,
  SVGPathSegClosePath = 12079,
  SVGPathSegCurvetoCubicAbs = 12099,
  SVGPathSegCurvetoCubicRel = 12125,
  SVGPathSegCurvetoCubicSmoothAbs = 12151,
  SVGPathSegCurvetoCubicSmoothRel = 12183,
  SVGPathSegCurvetoQuadraticAbs = 12215,
  SVGPathSegCurvetoQuadraticRel = 12245,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12275,
  SVGPathSegCurvetoQuadraticSmoothRel = 12311,
  SVGPathSegLinetoAbs = 12347,
  SVGPathSegLinetoHorizontalAbs = 12367,
  SVGPathSegLinetoHorizontalRel = 12397,
  SVGPathSegLinetoRel = 12427,
  SVGPathSegLinetoVerticalAbs = 12447,
  SVGPathSegLinetoVerticalRel = 12475,
  SVGPathSegList = 12503,
  SVGPathSegMovetoAbs = 12518,
  SVGPathSegMovetoRel = 12538,
  SVGPatternElement = 12558,
  SVGPoint = 12576,
  SVGPointList = 12585,
  SVGPolygonElement = 12598,
  SVGPolylineElement = 12616,
  SVGPreserveAspectRatio = 12635,
  SVGRadialGradientElement = 12658,
  SVGRect = 12683,
  SVGRectElement = 12691,
  SVGSVGElement = 12706,
  SVGScriptElement = 12720,
  SVGSetElement = 12737,
  SVGStopElement = 12751,
  SVGStringList = 12766,
  SVGStyleElement = 12780,
  SVGSwitchElement = 12796,
  SVGSymbolElement = 12813,
  SVGTSpanElement = 12830,
  SVGTextContentElement = 12846,
  SVGTextElement = 12868,
  SVGTextPathElement = 12883,
  SVGTextPositioningElement = 12902,
  SVGTitleElement = 12928,
  SVGTransform = 12944,
  SVGTransformList = 12957,
  SVGUnitTypes = 12974,
  SVGUseElement = 12987,
  SVGViewElement = 13001,
  Sanitizer = 13016,
  Scheduler = 13026,
  Screen = 13036,
  ScreenLuminance = 13043,
  ScreenOrientation = 13059,
  ScriptProcessorNode = 13077,
  ScrollAreaEvent = 13097,
  ScrollViewChangeEvent = 13113,
  SecurityPolicyViolationEvent = 13135,
  Selection = 13164,
  ServiceWorker = 13174,
  ServiceWorkerContainer = 13188,
  ServiceWorkerGlobalScope = 13211,
  ServiceWorkerRegistration = 13236,
  SessionStoreFormData = 13262,
  SessionStoreScrollData = 13283,
  SessionStoreUtils = 13306,
  ShadowRealmGlobalScope = 13324,
  ShadowRoot = 13347,
  SharedWorker = 13358,
  SharedWorkerGlobalScope = 13371,
  SimpleGestureEvent = 13395,
  SourceBuffer = 13414,
  SourceBufferList = 13427,
  SpeechGrammar = 13444,
  SpeechGrammarList = 13458,
  SpeechRecognition = 13476,
  SpeechRecognitionAlternative = 13494,
  SpeechRecognitionError = 13523,
  SpeechRecognitionEvent = 13546,
  SpeechRecognitionResult = 13569,
  SpeechRecognitionResultList = 13593,
  SpeechSynthesis = 13621,
  SpeechSynthesisErrorEvent = 13637,
  SpeechSynthesisEvent = 13663,
  SpeechSynthesisUtterance = 13684,
  SpeechSynthesisVoice = 13709,
  StaticRange = 13730,
  StereoPannerNode = 13742,
  Storage = 13759,
  StorageEvent = 13767,
  StorageManager = 13780,
  StreamFilter = 13795,
  StreamFilterDataEvent = 13808,
  StructuredCloneHolder = 13830,
  StructuredCloneTester = 13852,
  StyleSheet = 13874,
  StyleSheetApplicableStateChangeEvent = 13885,
  StyleSheetList = 13922,
  SubmitEvent = 13937,
  SubtleCrypto = 13949,
  SyncMessageSender = 13962,
  SyncReadFile = 13980,
  TCPServerSocket = 13993,
  TCPServerSocketEvent = 14009,
  TCPSocket = 14030,
  TCPSocketErrorEvent = 14040,
  TCPSocketEvent = 14060,
  TaskController = 14075,
  TaskPriorityChangeEvent = 14090,
  TaskSignal = 14114,
  TelemetryStopwatch = 14125,
  TestUtils = 14144,
  TestingDeprecatedInterface = 14154,
  Text = 14181,
  TextClause = 14186,
  TextDecoder = 14197,
  TextDecoderStream = 14209,
  TextEncoder = 14227,
  TextEncoderStream = 14239,
  TextMetrics = 14257,
  TextTrack = 14269,
  TextTrackCue = 14279,
  TextTrackCueList = 14292,
  TextTrackList = 14309,
  TimeEvent = 14323,
  TimeRanges = 14333,
  Touch = 14344,
  TouchEvent = 14350,
  TouchList = 14361,
  TrackEvent = 14371,
  TransformStream = 14382,
  TransformStreamDefaultController = 14398,
  TransitionEvent = 14431,
  TreeColumn = 14447,
  TreeColumns = 14458,
  TreeContentView = 14470,
  TreeWalker = 14486,
  U2F = 14497,
  UDPMessageEvent = 14501,
  UDPSocket = 14517,
  UIEvent = 14527,
  URL = 14535,
  URLSearchParams = 14539,
  URLSearchParams_Iterator = 14555,
  UniFFIPointer = 14580,
  UniFFIScaffolding = 14594,
  UserInteraction = 14612,
  UserProximityEvent = 14628,
  VRDisplay = 14647,
  VRDisplayCapabilities = 14657,
  VRDisplayEvent = 14679,
  VREyeParameters = 14694,
  VRFieldOfView = 14710,
  VRFrameData = 14724,
  VRMockController = 14736,
  VRMockDisplay = 14753,
  VRPose = 14767,
  VRServiceTest = 14774,
  VRStageParameters = 14788,
  VTTCue = 14806,
  VTTRegion = 14813,
  ValidityState = 14823,
  VideoColorSpace = 14837,
  VideoFrame = 14853,
  VideoPlaybackQuality = 14864,
  VideoTrack = 14885,
  VideoTrackList = 14896,
  VisualViewport = 14911,
  WEBGL_color_buffer_float = 14926,
  WEBGL_compressed_texture_astc = 14951,
  WEBGL_compressed_texture_etc = 14981,
  WEBGL_compressed_texture_etc1 = 15010,
  WEBGL_compressed_texture_pvrtc = 15040,
  WEBGL_compressed_texture_s3tc = 15071,
  WEBGL_compressed_texture_s3tc_srgb = 15101,
  WEBGL_debug_renderer_info = 15136,
  WEBGL_debug_shaders = 15162,
  WEBGL_depth_texture = 15182,
  WEBGL_draw_buffers = 15202,
  WEBGL_explicit_present = 15221,
  WEBGL_lose_context = 15244,
  WaveShaperNode = 15263,
  WebExtensionContentScript = 15278,
  WebExtensionPolicy = 15304,
  WebGL2RenderingContext = 15323,
  WebGLActiveInfo = 15346,
  WebGLBuffer = 15362,
  WebGLContextEvent = 15374,
  WebGLFramebuffer = 15392,
  WebGLProgram = 15409,
  WebGLQuery = 15422,
  WebGLRenderbuffer = 15433,
  WebGLRenderingContext = 15451,
  WebGLSampler = 15473,
  WebGLShader = 15486,
  WebGLShaderPrecisionFormat = 15498,
  WebGLSync = 15525,
  WebGLTexture = 15535,
  WebGLTransformFeedback = 15548,
  WebGLUniformLocation = 15571,
  WebGLVertexArrayObject = 15592,
  WebKitCSSMatrix = 15615,
  WebSocket = 15631,
  WebTransport = 15641,
  WebTransportBidirectionalStream = 15654,
  WebTransportDatagramDuplexStream = 15686,
  WebTransportError = 15719,
  WebrtcGlobalInformation = 15737,
  WheelEvent = 15761,
  Window = 15772,
  WindowClient = 15779,
  WindowContext = 15792,
  WindowGlobalChild = 15806,
  WindowGlobalParent = 15824,
  WindowRoot = 15843,
  Worker = 15854,
  WorkerDebuggerGlobalScope = 15861,
  WorkerGlobalScope = 15887,
  WorkerLocation = 15905,
  WorkerNavigator = 15920,
  WorkerTestUtils = 15936,
  Worklet = 15952,
  WorkletGlobalScope = 15960,
  WritableStream = 15979,
  WritableStreamDefaultController = 15994,
  WritableStreamDefaultWriter = 16026,
  XMLDocument = 16054,
  XMLHttpRequest = 16066,
  XMLHttpRequestEventTarget = 16081,
  XMLHttpRequestUpload = 16107,
  XMLSerializer = 16128,
  XPathEvaluator = 16142,
  XPathExpression = 16157,
  XPathResult = 16173,
  XRBoundedReferenceSpace = 16185,
  XRFrame = 16209,
  XRInputSource = 16217,
  XRInputSourceArray = 16231,
  XRInputSourceEvent = 16250,
  XRInputSourcesChangeEvent = 16269,
  XRPose = 16295,
  XRReferenceSpace = 16302,
  XRReferenceSpaceEvent = 16319,
  XRRenderState = 16341,
  XRRigidTransform = 16355,
  XRSession = 16372,
  XRSessionEvent = 16382,
  XRSpace = 16397,
  XRSystem = 16405,
  XRView = 16414,
  XRViewerPose = 16421,
  XRViewport = 16434,
  XRWebGLLayer = 16445,
  XSLTProcessor = 16458,
  XULCommandEvent = 16472,
  XULElement = 16488,
  XULFrameElement = 16499,
  XULMenuElement = 16515,
  XULPopupElement = 16530,
  XULResizerElement = 16546,
  XULTextElement = 16564,
  XULTreeElement = 16579,
  console = 16594,
  mozRTCIceCandidate = 16602,
  mozRTCPeerConnection = 16621,
  mozRTCSessionDescription = 16642,
  webkitSpeechGrammar = 16667,
  webkitSpeechGrammarList = 16687,
  webkitSpeechRecognition = 16711,
  webkitURL = 16735,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
