#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPseudoElement" "\0"
  /*  1155 */ "CSSRule" "\0"
  /*  1163 */ "CSSRuleList" "\0"
  /*  1175 */ "CSSStyleDeclaration" "\0"
  /*  1195 */ "CSSStyleRule" "\0"
  /*  1208 */ "CSSStyleSheet" "\0"
  /*  1222 */ "CSSSupportsRule" "\0"
  /*  1238 */ "CSSTransition" "\0"
  /*  1252 */ "Cache" "\0"
  /*  1258 */ "CacheStorage" "\0"
  /*  1271 */ "CallbackDebuggerNotification" "\0"
  /*  1300 */ "CanonicalBrowsingContext" "\0"
  /*  1325 */ "CanvasCaptureMediaStream" "\0"
  /*  1350 */ "CanvasGradient" "\0"
  /*  1365 */ "CanvasPattern" "\0"
  /*  1379 */ "CanvasRenderingContext2D" "\0"
  /*  1404 */ "CaretPosition" "\0"
  /*  1418 */ "CaretStateChangedEvent" "\0"
  /*  1441 */ "ChannelMergerNode" "\0"
  /*  1459 */ "ChannelSplitterNode" "\0"
  /*  1479 */ "ChannelWrapper" "\0"
  /*  1494 */ "CharacterData" "\0"
  /*  1508 */ "CheckerboardReportService" "\0"
  /*  1534 */ "ChildProcessMessageManager" "\0"
  /*  1561 */ "ChildSHistory" "\0"
  /*  1575 */ "ChromeMessageBroadcaster" "\0"
  /*  1600 */ "ChromeMessageSender" "\0"
  /*  1620 */ "ChromeNodeList" "\0"
  /*  1635 */ "ChromeUtils" "\0"
  /*  1647 */ "ChromeWorker" "\0"
  /*  1660 */ "Client" "\0"
  /*  1667 */ "Clients" "\0"
  /*  1675 */ "Clipboard" "\0"
  /*  1685 */ "ClipboardEvent" "\0"
  /*  1700 */ "ClipboardItem" "\0"
  /*  1714 */ "ClonedErrorHolder" "\0"
  /*  1732 */ "CloseEvent" "\0"
  /*  1743 */ "CommandEvent" "\0"
  /*  1756 */ "Comment" "\0"
  /*  1764 */ "CompositionEvent" "\0"
  /*  1781 */ "ConsoleInstance" "\0"
  /*  1797 */ "ConstantSourceNode" "\0"
  /*  1816 */ "ContentFrameMessageManager" "\0"
  /*  1843 */ "ContentProcessMessageManager" "\0"
  /*  1872 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1910 */ "ConvolverNode" "\0"
  /*  1924 */ "CountQueuingStrategy" "\0"
  /*  1945 */ "CreateOfferRequest" "\0"
  /*  1964 */ "Credential" "\0"
  /*  1975 */ "CredentialsContainer" "\0"
  /*  1996 */ "Crypto" "\0"
  /*  2003 */ "CryptoKey" "\0"
  /*  2013 */ "CustomElementRegistry" "\0"
  /*  2035 */ "CustomEvent" "\0"
  /*  2047 */ "DOMException" "\0"
  /*  2060 */ "DOMImplementation" "\0"
  /*  2078 */ "DOMLocalization" "\0"
  /*  2094 */ "DOMMatrix" "\0"
  /*  2104 */ "DOMMatrixReadOnly" "\0"
  /*  2122 */ "DOMParser" "\0"
  /*  2132 */ "DOMPoint" "\0"
  /*  2141 */ "DOMPointReadOnly" "\0"
  /*  2158 */ "DOMQuad" "\0"
  /*  2166 */ "DOMRect" "\0"
  /*  2174 */ "DOMRectList" "\0"
  /*  2186 */ "DOMRectReadOnly" "\0"
  /*  2202 */ "DOMRequest" "\0"
  /*  2213 */ "DOMStringList" "\0"
  /*  2227 */ "DOMStringMap" "\0"
  /*  2240 */ "DOMTokenList" "\0"
  /*  2253 */ "DataTransfer" "\0"
  /*  2266 */ "DataTransferItem" "\0"
  /*  2283 */ "DataTransferItemList" "\0"
  /*  2304 */ "DebuggerNotification" "\0"
  /*  2325 */ "DebuggerNotificationObserver" "\0"
  /*  2354 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2381 */ "DelayNode" "\0"
  /*  2391 */ "DeprecationReportBody" "\0"
  /*  2413 */ "DeviceAcceleration" "\0"
  /*  2432 */ "DeviceLightEvent" "\0"
  /*  2449 */ "DeviceMotionEvent" "\0"
  /*  2467 */ "DeviceOrientationEvent" "\0"
  /*  2490 */ "DeviceRotationRate" "\0"
  /*  2509 */ "Directory" "\0"
  /*  2519 */ "Document" "\0"
  /*  2528 */ "DocumentFragment" "\0"
  /*  2545 */ "DocumentL10n" "\0"
  /*  2558 */ "DocumentTimeline" "\0"
  /*  2575 */ "DocumentType" "\0"
  /*  2588 */ "DominatorTree" "\0"
  /*  2602 */ "DragEvent" "\0"
  /*  2612 */ "DynamicsCompressorNode" "\0"
  /*  2635 */ "EXT_blend_minmax" "\0"
  /*  2652 */ "EXT_color_buffer_float" "\0"
  /*  2675 */ "EXT_color_buffer_half_float" "\0"
  /*  2703 */ "EXT_disjoint_timer_query" "\0"
  /*  2728 */ "EXT_float_blend" "\0"
  /*  2744 */ "EXT_frag_depth" "\0"
  /*  2759 */ "EXT_sRGB" "\0"
  /*  2768 */ "EXT_shader_texture_lod" "\0"
  /*  2791 */ "EXT_texture_compression_bptc" "\0"
  /*  2820 */ "EXT_texture_compression_rgtc" "\0"
  /*  2849 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2880 */ "EXT_texture_norm16" "\0"
  /*  2899 */ "Element" "\0"
  /*  2907 */ "ElementInternals" "\0"
  /*  2924 */ "ErrorEvent" "\0"
  /*  2935 */ "Event" "\0"
  /*  2941 */ "EventCallbackDebuggerNotification" "\0"
  /*  2975 */ "EventCounts" "\0"
  /*  2987 */ "EventSource" "\0"
  /*  2999 */ "EventTarget" "\0"
  /*  3011 */ "Exception" "\0"
  /*  3021 */ "ExtendableEvent" "\0"
  /*  3037 */ "ExtendableMessageEvent" "\0"
  /*  3060 */ "ExtensionAlarms" "\0"
  /*  3076 */ "ExtensionBrowser" "\0"
  /*  3093 */ "ExtensionEventManager" "\0"
  /*  3115 */ "ExtensionMockAPI" "\0"
  /*  3132 */ "ExtensionPort" "\0"
  /*  3146 */ "ExtensionRuntime" "\0"
  /*  3163 */ "ExtensionScripting" "\0"
  /*  3182 */ "ExtensionTest" "\0"
  /*  3196 */ "External" "\0"
  /*  3205 */ "FeaturePolicy" "\0"
  /*  3219 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3252 */ "FetchEvent" "\0"
  /*  3263 */ "FetchObserver" "\0"
  /*  3277 */ "File" "\0"
  /*  3282 */ "FileList" "\0"
  /*  3291 */ "FileReader" "\0"
  /*  3302 */ "FileReaderSync" "\0"
  /*  3317 */ "FileSystem" "\0"
  /*  3328 */ "FileSystemDirectoryEntry" "\0"
  /*  3353 */ "FileSystemDirectoryHandle" "\0"
  /*  3379 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3419 */ "FileSystemDirectoryIterator" "\0"
  /*  3447 */ "FileSystemDirectoryReader" "\0"
  /*  3473 */ "FileSystemEntry" "\0"
  /*  3489 */ "FileSystemFileEntry" "\0"
  /*  3509 */ "FileSystemFileHandle" "\0"
  /*  3530 */ "FileSystemHandle" "\0"
  /*  3547 */ "FileSystemSyncAccessHandle" "\0"
  /*  3574 */ "FileSystemWritableFileStream" "\0"
  /*  3603 */ "Flex" "\0"
  /*  3608 */ "FlexItemValues" "\0"
  /*  3623 */ "FlexLineValues" "\0"
  /*  3638 */ "FluentBundle" "\0"
  /*  3651 */ "FluentBundleAsyncIterator" "\0"
  /*  3677 */ "FluentBundleIterator" "\0"
  /*  3698 */ "FluentPattern" "\0"
  /*  3712 */ "FluentResource" "\0"
  /*  3727 */ "FocusEvent" "\0"
  /*  3738 */ "FontFace" "\0"
  /*  3747 */ "FontFaceSet" "\0"
  /*  3759 */ "FontFaceSetIterator" "\0"
  /*  3779 */ "FontFaceSetLoadEvent" "\0"
  /*  3800 */ "FormData" "\0"
  /*  3809 */ "FormData Iterator" "\0"
  /*  3827 */ "FormDataEvent" "\0"
  /*  3841 */ "FrameCrashedEvent" "\0"
  /*  3859 */ "FrameLoader" "\0"
  /*  3871 */ "GPU" "\0"
  /*  3875 */ "GPUAdapter" "\0"
  /*  3886 */ "GPUBindGroup" "\0"
  /*  3899 */ "GPUBindGroupLayout" "\0"
  /*  3918 */ "GPUBuffer" "\0"
  /*  3928 */ "GPUBufferUsage" "\0"
  /*  3943 */ "GPUCanvasContext" "\0"
  /*  3960 */ "GPUColorWrite" "\0"
  /*  3974 */ "GPUCommandBuffer" "\0"
  /*  3991 */ "GPUCommandEncoder" "\0"
  /*  4009 */ "GPUCompilationInfo" "\0"
  /*  4028 */ "GPUCompilationMessage" "\0"
  /*  4050 */ "GPUComputePassEncoder" "\0"
  /*  4072 */ "GPUComputePipeline" "\0"
  /*  4091 */ "GPUDevice" "\0"
  /*  4101 */ "GPUDeviceLostInfo" "\0"
  /*  4119 */ "GPUMapMode" "\0"
  /*  4130 */ "GPUOutOfMemoryError" "\0"
  /*  4150 */ "GPUPipelineLayout" "\0"
  /*  4168 */ "GPUQuerySet" "\0"
  /*  4180 */ "GPUQueue" "\0"
  /*  4189 */ "GPURenderBundle" "\0"
  /*  4205 */ "GPURenderBundleEncoder" "\0"
  /*  4228 */ "GPURenderPassEncoder" "\0"
  /*  4249 */ "GPURenderPipeline" "\0"
  /*  4267 */ "GPUSampler" "\0"
  /*  4278 */ "GPUShaderModule" "\0"
  /*  4294 */ "GPUShaderStage" "\0"
  /*  4309 */ "GPUSupportedFeatures" "\0"
  /*  4330 */ "GPUSupportedLimits" "\0"
  /*  4349 */ "GPUTexture" "\0"
  /*  4360 */ "GPUTextureUsage" "\0"
  /*  4376 */ "GPUTextureView" "\0"
  /*  4391 */ "GPUUncapturedErrorEvent" "\0"
  /*  4415 */ "GPUValidationError" "\0"
  /*  4434 */ "GainNode" "\0"
  /*  4443 */ "Gamepad" "\0"
  /*  4451 */ "GamepadAxisMoveEvent" "\0"
  /*  4472 */ "GamepadButton" "\0"
  /*  4486 */ "GamepadButtonEvent" "\0"
  /*  4505 */ "GamepadEvent" "\0"
  /*  4518 */ "GamepadHapticActuator" "\0"
  /*  4540 */ "GamepadLightIndicator" "\0"
  /*  4562 */ "GamepadPose" "\0"
  /*  4574 */ "GamepadServiceTest" "\0"
  /*  4593 */ "GamepadTouch" "\0"
  /*  4606 */ "Geolocation" "\0"
  /*  4618 */ "GeolocationCoordinates" "\0"
  /*  4641 */ "GeolocationPosition" "\0"
  /*  4661 */ "GeolocationPositionError" "\0"
  /*  4686 */ "GetUserMediaRequest" "\0"
  /*  4706 */ "GleanCategory" "\0"
  /*  4720 */ "GleanImpl" "\0"
  /*  4730 */ "GleanLabeled" "\0"
  /*  4743 */ "GleanPingsImpl" "\0"
  /*  4758 */ "Grid" "\0"
  /*  4763 */ "GridArea" "\0"
  /*  4772 */ "GridDimension" "\0"
  /*  4786 */ "GridLine" "\0"
  /*  4795 */ "GridLines" "\0"
  /*  4805 */ "GridTrack" "\0"
  /*  4815 */ "GridTracks" "\0"
  /*  4826 */ "HTMLAllCollection" "\0"
  /*  4844 */ "HTMLAnchorElement" "\0"
  /*  4862 */ "HTMLAreaElement" "\0"
  /*  4878 */ "HTMLAudioElement" "\0"
  /*  4895 */ "HTMLBRElement" "\0"
  /*  4909 */ "HTMLBaseElement" "\0"
  /*  4925 */ "HTMLBodyElement" "\0"
  /*  4941 */ "HTMLButtonElement" "\0"
  /*  4959 */ "HTMLCanvasElement" "\0"
  /*  4977 */ "HTMLCollection" "\0"
  /*  4992 */ "HTMLDListElement" "\0"
  /*  5009 */ "HTMLDataElement" "\0"
  /*  5025 */ "HTMLDataListElement" "\0"
  /*  5045 */ "HTMLDetailsElement" "\0"
  /*  5064 */ "HTMLDialogElement" "\0"
  /*  5082 */ "HTMLDirectoryElement" "\0"
  /*  5103 */ "HTMLDivElement" "\0"
  /*  5118 */ "HTMLDocument" "\0"
  /*  5131 */ "HTMLElement" "\0"
  /*  5143 */ "HTMLEmbedElement" "\0"
  /*  5160 */ "HTMLFieldSetElement" "\0"
  /*  5180 */ "HTMLFontElement" "\0"
  /*  5196 */ "HTMLFormControlsCollection" "\0"
  /*  5223 */ "HTMLFormElement" "\0"
  /*  5239 */ "HTMLFrameElement" "\0"
  /*  5256 */ "HTMLFrameSetElement" "\0"
  /*  5276 */ "HTMLHRElement" "\0"
  /*  5290 */ "HTMLHeadElement" "\0"
  /*  5306 */ "HTMLHeadingElement" "\0"
  /*  5325 */ "HTMLHtmlElement" "\0"
  /*  5341 */ "HTMLIFrameElement" "\0"
  /*  5359 */ "HTMLImageElement" "\0"
  /*  5376 */ "HTMLInputElement" "\0"
  /*  5393 */ "HTMLLIElement" "\0"
  /*  5407 */ "HTMLLabelElement" "\0"
  /*  5424 */ "HTMLLegendElement" "\0"
  /*  5442 */ "HTMLLinkElement" "\0"
  /*  5458 */ "HTMLMapElement" "\0"
  /*  5473 */ "HTMLMarqueeElement" "\0"
  /*  5492 */ "HTMLMediaElement" "\0"
  /*  5509 */ "HTMLMenuElement" "\0"
  /*  5525 */ "HTMLMetaElement" "\0"
  /*  5541 */ "HTMLMeterElement" "\0"
  /*  5558 */ "HTMLModElement" "\0"
  /*  5573 */ "HTMLOListElement" "\0"
  /*  5590 */ "HTMLObjectElement" "\0"
  /*  5608 */ "HTMLOptGroupElement" "\0"
  /*  5628 */ "HTMLOptionElement" "\0"
  /*  5646 */ "HTMLOptionsCollection" "\0"
  /*  5668 */ "HTMLOutputElement" "\0"
  /*  5686 */ "HTMLParagraphElement" "\0"
  /*  5707 */ "HTMLParamElement" "\0"
  /*  5724 */ "HTMLPictureElement" "\0"
  /*  5743 */ "HTMLPreElement" "\0"
  /*  5758 */ "HTMLProgressElement" "\0"
  /*  5778 */ "HTMLQuoteElement" "\0"
  /*  5795 */ "HTMLScriptElement" "\0"
  /*  5813 */ "HTMLSelectElement" "\0"
  /*  5831 */ "HTMLSlotElement" "\0"
  /*  5847 */ "HTMLSourceElement" "\0"
  /*  5865 */ "HTMLSpanElement" "\0"
  /*  5881 */ "HTMLStyleElement" "\0"
  /*  5898 */ "HTMLTableCaptionElement" "\0"
  /*  5922 */ "HTMLTableCellElement" "\0"
  /*  5943 */ "HTMLTableColElement" "\0"
  /*  5963 */ "HTMLTableElement" "\0"
  /*  5980 */ "HTMLTableRowElement" "\0"
  /*  6000 */ "HTMLTableSectionElement" "\0"
  /*  6024 */ "HTMLTemplateElement" "\0"
  /*  6044 */ "HTMLTextAreaElement" "\0"
  /*  6064 */ "HTMLTimeElement" "\0"
  /*  6080 */ "HTMLTitleElement" "\0"
  /*  6097 */ "HTMLTrackElement" "\0"
  /*  6114 */ "HTMLUListElement" "\0"
  /*  6131 */ "HTMLUnknownElement" "\0"
  /*  6150 */ "HTMLVideoElement" "\0"
  /*  6167 */ "HashChangeEvent" "\0"
  /*  6183 */ "Headers" "\0"
  /*  6191 */ "Headers Iterator" "\0"
  /*  6208 */ "HeapSnapshot" "\0"
  /*  6221 */ "History" "\0"
  /*  6229 */ "IDBCursor" "\0"
  /*  6239 */ "IDBCursorWithValue" "\0"
  /*  6258 */ "IDBDatabase" "\0"
  /*  6270 */ "IDBFactory" "\0"
  /*  6281 */ "IDBFileHandle" "\0"
  /*  6295 */ "IDBFileRequest" "\0"
  /*  6310 */ "IDBIndex" "\0"
  /*  6319 */ "IDBKeyRange" "\0"
  /*  6331 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6354 */ "IDBMutableFile" "\0"
  /*  6369 */ "IDBObjectStore" "\0"
  /*  6384 */ "IDBOpenDBRequest" "\0"
  /*  6401 */ "IDBRequest" "\0"
  /*  6412 */ "IDBTransaction" "\0"
  /*  6427 */ "IDBVersionChangeEvent" "\0"
  /*  6449 */ "IIRFilterNode" "\0"
  /*  6463 */ "IOUtils" "\0"
  /*  6471 */ "IdentityCredential" "\0"
  /*  6490 */ "IdleDeadline" "\0"
  /*  6503 */ "Image" "\0"
  /*  6509 */ "ImageBitmap" "\0"
  /*  6521 */ "ImageBitmapRenderingContext" "\0"
  /*  6549 */ "ImageCapture" "\0"
  /*  6562 */ "ImageCaptureError" "\0"
  /*  6580 */ "ImageCaptureErrorEvent" "\0"
  /*  6603 */ "ImageData" "\0"
  /*  6613 */ "ImageDocument" "\0"
  /*  6627 */ "InputEvent" "\0"
  /*  6638 */ "InspectorFontFace" "\0"
  /*  6656 */ "InspectorUtils" "\0"
  /*  6671 */ "InstallTriggerImpl" "\0"
  /*  6690 */ "IntersectionObserver" "\0"
  /*  6711 */ "IntersectionObserverEntry" "\0"
  /*  6737 */ "IntlUtils" "\0"
  /*  6747 */ "JSProcessActorChild" "\0"
  /*  6767 */ "JSProcessActorParent" "\0"
  /*  6788 */ "JSWindowActorChild" "\0"
  /*  6807 */ "JSWindowActorParent" "\0"
  /*  6827 */ "KeyEvent" "\0"
  /*  6836 */ "KeyboardEvent" "\0"
  /*  6850 */ "KeyframeEffect" "\0"
  /*  6865 */ "L10nFileSource" "\0"
  /*  6880 */ "L10nOverlays" "\0"
  /*  6893 */ "L10nRegistry" "\0"
  /*  6906 */ "LegacyMozTCPSocket" "\0"
  /*  6925 */ "Localization" "\0"
  /*  6938 */ "Location" "\0"
  /*  6947 */ "Lock" "\0"
  /*  6952 */ "LockManager" "\0"
  /*  6964 */ "MIDIAccess" "\0"
  /*  6975 */ "MIDIConnectionEvent" "\0"
  /*  6995 */ "MIDIInput" "\0"
  /*  7005 */ "MIDIInputMap" "\0"
  /*  7018 */ "MIDIMessageEvent" "\0"
  /*  7035 */ "MIDIOutput" "\0"
  /*  7046 */ "MIDIOutputMap" "\0"
  /*  7060 */ "MIDIPort" "\0"
  /*  7069 */ "MOZ_debug" "\0"
  /*  7079 */ "MatchGlob" "\0"
  /*  7089 */ "MatchPattern" "\0"
  /*  7102 */ "MatchPatternSet" "\0"
  /*  7118 */ "MathMLElement" "\0"
  /*  7132 */ "MediaCapabilities" "\0"
  /*  7150 */ "MediaCapabilitiesInfo" "\0"
  /*  7172 */ "MediaControlService" "\0"
  /*  7192 */ "MediaController" "\0"
  /*  7208 */ "MediaDeviceInfo" "\0"
  /*  7224 */ "MediaDevices" "\0"
  /*  7237 */ "MediaElementAudioSourceNode" "\0"
  /*  7265 */ "MediaEncryptedEvent" "\0"
  /*  7285 */ "MediaError" "\0"
  /*  7296 */ "MediaKeyError" "\0"
  /*  7310 */ "MediaKeyMessageEvent" "\0"
  /*  7331 */ "MediaKeySession" "\0"
  /*  7347 */ "MediaKeyStatusMap" "\0"
  /*  7365 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7392 */ "MediaKeySystemAccess" "\0"
  /*  7413 */ "MediaKeys" "\0"
  /*  7423 */ "MediaList" "\0"
  /*  7433 */ "MediaMetadata" "\0"
  /*  7447 */ "MediaQueryList" "\0"
  /*  7462 */ "MediaQueryListEvent" "\0"
  /*  7482 */ "MediaRecorder" "\0"
  /*  7496 */ "MediaRecorderErrorEvent" "\0"
  /*  7520 */ "MediaSession" "\0"
  /*  7533 */ "MediaSource" "\0"
  /*  7545 */ "MediaStream" "\0"
  /*  7557 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7589 */ "MediaStreamAudioSourceNode" "\0"
  /*  7616 */ "MediaStreamError" "\0"
  /*  7633 */ "MediaStreamEvent" "\0"
  /*  7650 */ "MediaStreamTrack" "\0"
  /*  7667 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7699 */ "MediaStreamTrackEvent" "\0"
  /*  7721 */ "MerchantValidationEvent" "\0"
  /*  7745 */ "MessageBroadcaster" "\0"
  /*  7764 */ "MessageChannel" "\0"
  /*  7779 */ "MessageEvent" "\0"
  /*  7792 */ "MessageListenerManager" "\0"
  /*  7815 */ "MessagePort" "\0"
  /*  7827 */ "MessageSender" "\0"
  /*  7841 */ "MimeType" "\0"
  /*  7850 */ "MimeTypeArray" "\0"
  /*  7864 */ "MouseEvent" "\0"
  /*  7875 */ "MouseScrollEvent" "\0"
  /*  7892 */ "MozCanvasPrintState" "\0"
  /*  7912 */ "MozDocumentMatcher" "\0"
  /*  7931 */ "MozDocumentObserver" "\0"
  /*  7951 */ "MozQueryInterface" "\0"
  /*  7969 */ "MozSharedMap" "\0"
  /*  7982 */ "MozSharedMap Iterator" "\0"
  /*  8004 */ "MozSharedMapChangeEvent" "\0"
  /*  8028 */ "MozStorageAsyncStatementParams" "\0"
  /*  8059 */ "MozStorageStatementParams" "\0"
  /*  8085 */ "MozStorageStatementRow" "\0"
  /*  8108 */ "MozWritableSharedMap" "\0"
  /*  8129 */ "MutationEvent" "\0"
  /*  8143 */ "MutationObserver" "\0"
  /*  8160 */ "MutationRecord" "\0"
  /*  8175 */ "NamedNodeMap" "\0"
  /*  8188 */ "NavigationPreloadManager" "\0"
  /*  8213 */ "Navigator" "\0"
  /*  8223 */ "NetworkInformation" "\0"
  /*  8242 */ "Node" "\0"
  /*  8247 */ "NodeFilter" "\0"
  /*  8258 */ "NodeIterator" "\0"
  /*  8271 */ "NodeList" "\0"
  /*  8280 */ "Notification" "\0"
  /*  8293 */ "NotificationEvent" "\0"
  /*  8311 */ "NotifyPaintEvent" "\0"
  /*  8328 */ "OES_draw_buffers_indexed" "\0"
  /*  8353 */ "OES_element_index_uint" "\0"
  /*  8376 */ "OES_fbo_render_mipmap" "\0"
  /*  8398 */ "OES_standard_derivatives" "\0"
  /*  8423 */ "OES_texture_float" "\0"
  /*  8441 */ "OES_texture_float_linear" "\0"
  /*  8466 */ "OES_texture_half_float" "\0"
  /*  8489 */ "OES_texture_half_float_linear" "\0"
  /*  8519 */ "OES_vertex_array_object" "\0"
  /*  8543 */ "OVR_multiview2" "\0"
  /*  8558 */ "OfflineAudioCompletionEvent" "\0"
  /*  8586 */ "OfflineAudioContext" "\0"
  /*  8606 */ "OfflineResourceList" "\0"
  /*  8626 */ "OffscreenCanvas" "\0"
  /*  8642 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8676 */ "Option" "\0"
  /*  8683 */ "OscillatorNode" "\0"
  /*  8698 */ "PageTransitionEvent" "\0"
  /*  8718 */ "PaintRequest" "\0"
  /*  8731 */ "PaintRequestList" "\0"
  /*  8748 */ "PaintWorkletGlobalScope" "\0"
  /*  8772 */ "PannerNode" "\0"
  /*  8783 */ "ParentProcessMessageManager" "\0"
  /*  8811 */ "Path2D" "\0"
  /*  8818 */ "PathUtils" "\0"
  /*  8828 */ "PaymentAddress" "\0"
  /*  8843 */ "PaymentMethodChangeEvent" "\0"
  /*  8868 */ "PaymentRequest" "\0"
  /*  8883 */ "PaymentRequestUpdateEvent" "\0"
  /*  8909 */ "PaymentResponse" "\0"
  /*  8925 */ "PeerConnectionImpl" "\0"
  /*  8944 */ "PeerConnectionObserver" "\0"
  /*  8967 */ "Performance" "\0"
  /*  8979 */ "PerformanceEntry" "\0"
  /*  8996 */ "PerformanceEntryEvent" "\0"
  /*  9018 */ "PerformanceEventTiming" "\0"
  /*  9041 */ "PerformanceMark" "\0"
  /*  9057 */ "PerformanceMeasure" "\0"
  /*  9076 */ "PerformanceNavigation" "\0"
  /*  9098 */ "PerformanceNavigationTiming" "\0"
  /*  9126 */ "PerformanceObserver" "\0"
  /*  9146 */ "PerformanceObserverEntryList" "\0"
  /*  9175 */ "PerformancePaintTiming" "\0"
  /*  9198 */ "PerformanceResourceTiming" "\0"
  /*  9224 */ "PerformanceServerTiming" "\0"
  /*  9248 */ "PerformanceTiming" "\0"
  /*  9266 */ "PeriodicWave" "\0"
  /*  9279 */ "PermissionStatus" "\0"
  /*  9296 */ "Permissions" "\0"
  /*  9308 */ "PlacesBookmark" "\0"
  /*  9323 */ "PlacesBookmarkAddition" "\0"
  /*  9346 */ "PlacesBookmarkChanged" "\0"
  /*  9368 */ "PlacesBookmarkGuid" "\0"
  /*  9387 */ "PlacesBookmarkMoved" "\0"
  /*  9407 */ "PlacesBookmarkRemoved" "\0"
  /*  9429 */ "PlacesBookmarkTags" "\0"
  /*  9448 */ "PlacesBookmarkTime" "\0"
  /*  9467 */ "PlacesBookmarkTitle" "\0"
  /*  9487 */ "PlacesBookmarkUrl" "\0"
  /*  9505 */ "PlacesEvent" "\0"
  /*  9517 */ "PlacesFavicon" "\0"
  /*  9531 */ "PlacesHistoryCleared" "\0"
  /*  9552 */ "PlacesObservers" "\0"
  /*  9568 */ "PlacesPurgeCaches" "\0"
  /*  9586 */ "PlacesRanking" "\0"
  /*  9600 */ "PlacesVisit" "\0"
  /*  9612 */ "PlacesVisitRemoved" "\0"
  /*  9631 */ "PlacesVisitTitle" "\0"
  /*  9648 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9674 */ "Plugin" "\0"
  /*  9681 */ "PluginArray" "\0"
  /*  9693 */ "PluginCrashedEvent" "\0"
  /*  9712 */ "PointerEvent" "\0"
  /*  9725 */ "PopStateEvent" "\0"
  /*  9739 */ "PopupBlockedEvent" "\0"
  /*  9757 */ "PopupPositionedEvent" "\0"
  /*  9778 */ "PositionStateEvent" "\0"
  /*  9797 */ "PrecompiledScript" "\0"
  /*  9815 */ "PrioEncoder" "\0"
  /*  9827 */ "ProcessMessageManager" "\0"
  /*  9849 */ "ProcessingInstruction" "\0"
  /*  9871 */ "ProgressEvent" "\0"
  /*  9885 */ "PromiseDebugging" "\0"
  /*  9902 */ "PromiseNativeHandler" "\0"
  /*  9923 */ "PromiseRejectionEvent" "\0"
  /*  9945 */ "PublicKeyCredential" "\0"
  /*  9965 */ "PushEvent" "\0"
  /*  9975 */ "PushManager" "\0"
  /*  9987 */ "PushManagerImpl" "\0"
  /* 10003 */ "PushMessageData" "\0"
  /* 10019 */ "PushSubscription" "\0"
  /* 10036 */ "PushSubscriptionOptions" "\0"
  /* 10060 */ "RTCCertificate" "\0"
  /* 10075 */ "RTCDTMFSender" "\0"
  /* 10089 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10112 */ "RTCDataChannel" "\0"
  /* 10127 */ "RTCDataChannelEvent" "\0"
  /* 10147 */ "RTCDtlsTransport" "\0"
  /* 10164 */ "RTCIceCandidate" "\0"
  /* 10180 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10209 */ "RTCPeerConnection" "\0"
  /* 10227 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10253 */ "RTCPeerConnectionStatic" "\0"
  /* 10277 */ "RTCRtpReceiver" "\0"
  /* 10292 */ "RTCRtpSender" "\0"
  /* 10305 */ "RTCRtpTransceiver" "\0"
  /* 10323 */ "RTCSessionDescription" "\0"
  /* 10345 */ "RTCStatsReport" "\0"
  /* 10360 */ "RTCTrackEvent" "\0"
  /* 10374 */ "RadioNodeList" "\0"
  /* 10388 */ "Range" "\0"
  /* 10394 */ "ReadableByteStreamController" "\0"
  /* 10423 */ "ReadableStream" "\0"
  /* 10438 */ "ReadableStream AsyncIterator" "\0"
  /* 10467 */ "ReadableStreamBYOBReader" "\0"
  /* 10492 */ "ReadableStreamBYOBRequest" "\0"
  /* 10518 */ "ReadableStreamDefaultController" "\0"
  /* 10550 */ "ReadableStreamDefaultReader" "\0"
  /* 10578 */ "Report" "\0"
  /* 10585 */ "ReportBody" "\0"
  /* 10596 */ "ReportingObserver" "\0"
  /* 10614 */ "Request" "\0"
  /* 10622 */ "ResizeObserver" "\0"
  /* 10637 */ "ResizeObserverEntry" "\0"
  /* 10657 */ "ResizeObserverSize" "\0"
  /* 10676 */ "Response" "\0"
  /* 10685 */ "SVGAElement" "\0"
  /* 10697 */ "SVGAngle" "\0"
  /* 10706 */ "SVGAnimateElement" "\0"
  /* 10724 */ "SVGAnimateMotionElement" "\0"
  /* 10748 */ "SVGAnimateTransformElement" "\0"
  /* 10775 */ "SVGAnimatedAngle" "\0"
  /* 10792 */ "SVGAnimatedBoolean" "\0"
  /* 10811 */ "SVGAnimatedEnumeration" "\0"
  /* 10834 */ "SVGAnimatedInteger" "\0"
  /* 10853 */ "SVGAnimatedLength" "\0"
  /* 10871 */ "SVGAnimatedLengthList" "\0"
  /* 10893 */ "SVGAnimatedNumber" "\0"
  /* 10911 */ "SVGAnimatedNumberList" "\0"
  /* 10933 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10964 */ "SVGAnimatedRect" "\0"
  /* 10980 */ "SVGAnimatedString" "\0"
  /* 10998 */ "SVGAnimatedTransformList" "\0"
  /* 11023 */ "SVGAnimationElement" "\0"
  /* 11043 */ "SVGCircleElement" "\0"
  /* 11060 */ "SVGClipPathElement" "\0"
  /* 11079 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11115 */ "SVGDefsElement" "\0"
  /* 11130 */ "SVGDescElement" "\0"
  /* 11145 */ "SVGElement" "\0"
  /* 11156 */ "SVGEllipseElement" "\0"
  /* 11174 */ "SVGFEBlendElement" "\0"
  /* 11192 */ "SVGFEColorMatrixElement" "\0"
  /* 11216 */ "SVGFEComponentTransferElement" "\0"
  /* 11246 */ "SVGFECompositeElement" "\0"
  /* 11268 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11295 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11323 */ "SVGFEDisplacementMapElement" "\0"
  /* 11351 */ "SVGFEDistantLightElement" "\0"
  /* 11376 */ "SVGFEDropShadowElement" "\0"
  /* 11399 */ "SVGFEFloodElement" "\0"
  /* 11417 */ "SVGFEFuncAElement" "\0"
  /* 11435 */ "SVGFEFuncBElement" "\0"
  /* 11453 */ "SVGFEFuncGElement" "\0"
  /* 11471 */ "SVGFEFuncRElement" "\0"
  /* 11489 */ "SVGFEGaussianBlurElement" "\0"
  /* 11514 */ "SVGFEImageElement" "\0"
  /* 11532 */ "SVGFEMergeElement" "\0"
  /* 11550 */ "SVGFEMergeNodeElement" "\0"
  /* 11572 */ "SVGFEMorphologyElement" "\0"
  /* 11595 */ "SVGFEOffsetElement" "\0"
  /* 11614 */ "SVGFEPointLightElement" "\0"
  /* 11637 */ "SVGFESpecularLightingElement" "\0"
  /* 11666 */ "SVGFESpotLightElement" "\0"
  /* 11688 */ "SVGFETileElement" "\0"
  /* 11705 */ "SVGFETurbulenceElement" "\0"
  /* 11728 */ "SVGFilterElement" "\0"
  /* 11745 */ "SVGForeignObjectElement" "\0"
  /* 11769 */ "SVGGElement" "\0"
  /* 11781 */ "SVGGeometryElement" "\0"
  /* 11800 */ "SVGGradientElement" "\0"
  /* 11819 */ "SVGGraphicsElement" "\0"
  /* 11838 */ "SVGImageElement" "\0"
  /* 11854 */ "SVGLength" "\0"
  /* 11864 */ "SVGLengthList" "\0"
  /* 11878 */ "SVGLineElement" "\0"
  /* 11893 */ "SVGLinearGradientElement" "\0"
  /* 11918 */ "SVGMPathElement" "\0"
  /* 11934 */ "SVGMarkerElement" "\0"
  /* 11951 */ "SVGMaskElement" "\0"
  /* 11966 */ "SVGMatrix" "\0"
  /* 11976 */ "SVGMetadataElement" "\0"
  /* 11995 */ "SVGNumber" "\0"
  /* 12005 */ "SVGNumberList" "\0"
  /* 12019 */ "SVGPathElement" "\0"
  /* 12034 */ "SVGPathSeg" "\0"
  /* 12045 */ "SVGPathSegArcAbs" "\0"
  /* 12062 */ "SVGPathSegArcRel" "\0"
  /* 12079 */ "SVGPathSegClosePath" "\0"
  /* 12099 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12125 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12151 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12183 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12215 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12245 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12275 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12311 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12347 */ "SVGPathSegLinetoAbs" "\0"
  /* 12367 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12397 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12427 */ "SVGPathSegLinetoRel" "\0"
  /* 12447 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12475 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12503 */ "SVGPathSegList" "\0"
  /* 12518 */ "SVGPathSegMovetoAbs" "\0"
  /* 12538 */ "SVGPathSegMovetoRel" "\0"
  /* 12558 */ "SVGPatternElement" "\0"
  /* 12576 */ "SVGPoint" "\0"
  /* 12585 */ "SVGPointList" "\0"
  /* 12598 */ "SVGPolygonElement" "\0"
  /* 12616 */ "SVGPolylineElement" "\0"
  /* 12635 */ "SVGPreserveAspectRatio" "\0"
  /* 12658 */ "SVGRadialGradientElement" "\0"
  /* 12683 */ "SVGRect" "\0"
  /* 12691 */ "SVGRectElement" "\0"
  /* 12706 */ "SVGSVGElement" "\0"
  /* 12720 */ "SVGScriptElement" "\0"
  /* 12737 */ "SVGSetElement" "\0"
  /* 12751 */ "SVGStopElement" "\0"
  /* 12766 */ "SVGStringList" "\0"
  /* 12780 */ "SVGStyleElement" "\0"
  /* 12796 */ "SVGSwitchElement" "\0"
  /* 12813 */ "SVGSymbolElement" "\0"
  /* 12830 */ "SVGTSpanElement" "\0"
  /* 12846 */ "SVGTextContentElement" "\0"
  /* 12868 */ "SVGTextElement" "\0"
  /* 12883 */ "SVGTextPathElement" "\0"
  /* 12902 */ "SVGTextPositioningElement" "\0"
  /* 12928 */ "SVGTitleElement" "\0"
  /* 12944 */ "SVGTransform" "\0"
  /* 12957 */ "SVGTransformList" "\0"
  /* 12974 */ "SVGUnitTypes" "\0"
  /* 12987 */ "SVGUseElement" "\0"
  /* 13001 */ "SVGViewElement" "\0"
  /* 13016 */ "Sanitizer" "\0"
  /* 13026 */ "Scheduler" "\0"
  /* 13036 */ "Screen" "\0"
  /* 13043 */ "ScreenLuminance" "\0"
  /* 13059 */ "ScreenOrientation" "\0"
  /* 13077 */ "ScriptProcessorNode" "\0"
  /* 13097 */ "ScrollAreaEvent" "\0"
  /* 13113 */ "ScrollViewChangeEvent" "\0"
  /* 13135 */ "SecurityPolicyViolationEvent" "\0"
  /* 13164 */ "Selection" "\0"
  /* 13174 */ "ServiceWorker" "\0"
  /* 13188 */ "ServiceWorkerContainer" "\0"
  /* 13211 */ "ServiceWorkerGlobalScope" "\0"
  /* 13236 */ "ServiceWorkerRegistration" "\0"
  /* 13262 */ "SessionStoreFormData" "\0"
  /* 13283 */ "SessionStoreScrollData" "\0"
  /* 13306 */ "SessionStoreUtils" "\0"
  /* 13324 */ "ShadowRealmGlobalScope" "\0"
  /* 13347 */ "ShadowRoot" "\0"
  /* 13358 */ "SharedWorker" "\0"
  /* 13371 */ "SharedWorkerGlobalScope" "\0"
  /* 13395 */ "SimpleGestureEvent" "\0"
  /* 13414 */ "SourceBuffer" "\0"
  /* 13427 */ "SourceBufferList" "\0"
  /* 13444 */ "SpeechGrammar" "\0"
  /* 13458 */ "SpeechGrammarList" "\0"
  /* 13476 */ "SpeechRecognition" "\0"
  /* 13494 */ "SpeechRecognitionAlternative" "\0"
  /* 13523 */ "SpeechRecognitionError" "\0"
  /* 13546 */ "SpeechRecognitionEvent" "\0"
  /* 13569 */ "SpeechRecognitionResult" "\0"
  /* 13593 */ "SpeechRecognitionResultList" "\0"
  /* 13621 */ "SpeechSynthesis" "\0"
  /* 13637 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13663 */ "SpeechSynthesisEvent" "\0"
  /* 13684 */ "SpeechSynthesisUtterance" "\0"
  /* 13709 */ "SpeechSynthesisVoice" "\0"
  /* 13730 */ "StaticRange" "\0"
  /* 13742 */ "StereoPannerNode" "\0"
  /* 13759 */ "Storage" "\0"
  /* 13767 */ "StorageEvent" "\0"
  /* 13780 */ "StorageManager" "\0"
  /* 13795 */ "StreamFilter" "\0"
  /* 13808 */ "StreamFilterDataEvent" "\0"
  /* 13830 */ "StructuredCloneHolder" "\0"
  /* 13852 */ "StructuredCloneTester" "\0"
  /* 13874 */ "StyleSheet" "\0"
  /* 13885 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13922 */ "StyleSheetList" "\0"
  /* 13937 */ "SubmitEvent" "\0"
  /* 13949 */ "SubtleCrypto" "\0"
  /* 13962 */ "SyncMessageSender" "\0"
  /* 13980 */ "SyncReadFile" "\0"
  /* 13993 */ "TCPServerSocket" "\0"
  /* 14009 */ "TCPServerSocketEvent" "\0"
  /* 14030 */ "TCPSocket" "\0"
  /* 14040 */ "TCPSocketErrorEvent" "\0"
  /* 14060 */ "TCPSocketEvent" "\0"
  /* 14075 */ "TaskController" "\0"
  /* 14090 */ "TaskPriorityChangeEvent" "\0"
  /* 14114 */ "TaskSignal" "\0"
  /* 14125 */ "TelemetryStopwatch" "\0"
  /* 14144 */ "TestUtils" "\0"
  /* 14154 */ "TestingDeprecatedInterface" "\0"
  /* 14181 */ "Text" "\0"
  /* 14186 */ "TextClause" "\0"
  /* 14197 */ "TextDecoder" "\0"
  /* 14209 */ "TextDecoderStream" "\0"
  /* 14227 */ "TextEncoder" "\0"
  /* 14239 */ "TextEncoderStream" "\0"
  /* 14257 */ "TextMetrics" "\0"
  /* 14269 */ "TextTrack" "\0"
  /* 14279 */ "TextTrackCue" "\0"
  /* 14292 */ "TextTrackCueList" "\0"
  /* 14309 */ "TextTrackList" "\0"
  /* 14323 */ "TimeEvent" "\0"
  /* 14333 */ "TimeRanges" "\0"
  /* 14344 */ "Touch" "\0"
  /* 14350 */ "TouchEvent" "\0"
  /* 14361 */ "TouchList" "\0"
  /* 14371 */ "TrackEvent" "\0"
  /* 14382 */ "TransformStream" "\0"
  /* 14398 */ "TransformStreamDefaultController" "\0"
  /* 14431 */ "TransitionEvent" "\0"
  /* 14447 */ "TreeColumn" "\0"
  /* 14458 */ "TreeColumns" "\0"
  /* 14470 */ "TreeContentView" "\0"
  /* 14486 */ "TreeWalker" "\0"
  /* 14497 */ "U2F" "\0"
  /* 14501 */ "UDPMessageEvent" "\0"
  /* 14517 */ "UDPSocket" "\0"
  /* 14527 */ "UIEvent" "\0"
  /* 14535 */ "URL" "\0"
  /* 14539 */ "URLSearchParams" "\0"
  /* 14555 */ "URLSearchParams Iterator" "\0"
  /* 14580 */ "UniFFIPointer" "\0"
  /* 14594 */ "UniFFIScaffolding" "\0"
  /* 14612 */ "UserInteraction" "\0"
  /* 14628 */ "UserProximityEvent" "\0"
  /* 14647 */ "VRDisplay" "\0"
  /* 14657 */ "VRDisplayCapabilities" "\0"
  /* 14679 */ "VRDisplayEvent" "\0"
  /* 14694 */ "VREyeParameters" "\0"
  /* 14710 */ "VRFieldOfView" "\0"
  /* 14724 */ "VRFrameData" "\0"
  /* 14736 */ "VRMockController" "\0"
  /* 14753 */ "VRMockDisplay" "\0"
  /* 14767 */ "VRPose" "\0"
  /* 14774 */ "VRServiceTest" "\0"
  /* 14788 */ "VRStageParameters" "\0"
  /* 14806 */ "VTTCue" "\0"
  /* 14813 */ "VTTRegion" "\0"
  /* 14823 */ "ValidityState" "\0"
  /* 14837 */ "VideoColorSpace" "\0"
  /* 14853 */ "VideoFrame" "\0"
  /* 14864 */ "VideoPlaybackQuality" "\0"
  /* 14885 */ "VideoTrack" "\0"
  /* 14896 */ "VideoTrackList" "\0"
  /* 14911 */ "VisualViewport" "\0"
  /* 14926 */ "WEBGL_color_buffer_float" "\0"
  /* 14951 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14981 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15010 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15040 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15071 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15101 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15136 */ "WEBGL_debug_renderer_info" "\0"
  /* 15162 */ "WEBGL_debug_shaders" "\0"
  /* 15182 */ "WEBGL_depth_texture" "\0"
  /* 15202 */ "WEBGL_draw_buffers" "\0"
  /* 15221 */ "WEBGL_explicit_present" "\0"
  /* 15244 */ "WEBGL_lose_context" "\0"
  /* 15263 */ "WaveShaperNode" "\0"
  /* 15278 */ "WebExtensionContentScript" "\0"
  /* 15304 */ "WebExtensionPolicy" "\0"
  /* 15323 */ "WebGL2RenderingContext" "\0"
  /* 15346 */ "WebGLActiveInfo" "\0"
  /* 15362 */ "WebGLBuffer" "\0"
  /* 15374 */ "WebGLContextEvent" "\0"
  /* 15392 */ "WebGLFramebuffer" "\0"
  /* 15409 */ "WebGLProgram" "\0"
  /* 15422 */ "WebGLQuery" "\0"
  /* 15433 */ "WebGLRenderbuffer" "\0"
  /* 15451 */ "WebGLRenderingContext" "\0"
  /* 15473 */ "WebGLSampler" "\0"
  /* 15486 */ "WebGLShader" "\0"
  /* 15498 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15525 */ "WebGLSync" "\0"
  /* 15535 */ "WebGLTexture" "\0"
  /* 15548 */ "WebGLTransformFeedback" "\0"
  /* 15571 */ "WebGLUniformLocation" "\0"
  /* 15592 */ "WebGLVertexArrayObject" "\0"
  /* 15615 */ "WebKitCSSMatrix" "\0"
  /* 15631 */ "WebSocket" "\0"
  /* 15641 */ "WebTransport" "\0"
  /* 15654 */ "WebTransportBidirectionalStream" "\0"
  /* 15686 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15719 */ "WebTransportError" "\0"
  /* 15737 */ "WebrtcGlobalInformation" "\0"
  /* 15761 */ "WheelEvent" "\0"
  /* 15772 */ "Window" "\0"
  /* 15779 */ "WindowClient" "\0"
  /* 15792 */ "WindowContext" "\0"
  /* 15806 */ "WindowGlobalChild" "\0"
  /* 15824 */ "WindowGlobalParent" "\0"
  /* 15843 */ "WindowRoot" "\0"
  /* 15854 */ "Worker" "\0"
  /* 15861 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15887 */ "WorkerGlobalScope" "\0"
  /* 15905 */ "WorkerLocation" "\0"
  /* 15920 */ "WorkerNavigator" "\0"
  /* 15936 */ "WorkerTestUtils" "\0"
  /* 15952 */ "Worklet" "\0"
  /* 15960 */ "WorkletGlobalScope" "\0"
  /* 15979 */ "WritableStream" "\0"
  /* 15994 */ "WritableStreamDefaultController" "\0"
  /* 16026 */ "WritableStreamDefaultWriter" "\0"
  /* 16054 */ "XMLDocument" "\0"
  /* 16066 */ "XMLHttpRequest" "\0"
  /* 16081 */ "XMLHttpRequestEventTarget" "\0"
  /* 16107 */ "XMLHttpRequestUpload" "\0"
  /* 16128 */ "XMLSerializer" "\0"
  /* 16142 */ "XPathEvaluator" "\0"
  /* 16157 */ "XPathExpression" "\0"
  /* 16173 */ "XPathResult" "\0"
  /* 16185 */ "XRBoundedReferenceSpace" "\0"
  /* 16209 */ "XRFrame" "\0"
  /* 16217 */ "XRInputSource" "\0"
  /* 16231 */ "XRInputSourceArray" "\0"
  /* 16250 */ "XRInputSourceEvent" "\0"
  /* 16269 */ "XRInputSourcesChangeEvent" "\0"
  /* 16295 */ "XRPose" "\0"
  /* 16302 */ "XRReferenceSpace" "\0"
  /* 16319 */ "XRReferenceSpaceEvent" "\0"
  /* 16341 */ "XRRenderState" "\0"
  /* 16355 */ "XRRigidTransform" "\0"
  /* 16372 */ "XRSession" "\0"
  /* 16382 */ "XRSessionEvent" "\0"
  /* 16397 */ "XRSpace" "\0"
  /* 16405 */ "XRSystem" "\0"
  /* 16414 */ "XRView" "\0"
  /* 16421 */ "XRViewerPose" "\0"
  /* 16434 */ "XRViewport" "\0"
  /* 16445 */ "XRWebGLLayer" "\0"
  /* 16458 */ "XSLTProcessor" "\0"
  /* 16472 */ "XULCommandEvent" "\0"
  /* 16488 */ "XULElement" "\0"
  /* 16499 */ "XULFrameElement" "\0"
  /* 16515 */ "XULMenuElement" "\0"
  /* 16530 */ "XULPopupElement" "\0"
  /* 16546 */ "XULResizerElement" "\0"
  /* 16564 */ "XULTextElement" "\0"
  /* 16579 */ "XULTreeElement" "\0"
  /* 16594 */ "console" "\0"
  /* 16602 */ "mozRTCIceCandidate" "\0"
  /* 16621 */ "mozRTCPeerConnection" "\0"
  /* 16642 */ "mozRTCSessionDescription" "\0"
  /* 16667 */ "webkitSpeechGrammar" "\0"
  /* 16687 */ "webkitSpeechGrammarList" "\0"
  /* 16711 */ "webkitSpeechRecognition" "\0"
  /* 16735 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

